# Add a digital catalog product with auto-applied order promotion

## Overview

Use the **order promotions** object to add a digital catalog product with auto-applied order promotion (for PSP business model).

## Use case

1. Add an HTML link or button to your page like the one below.
2. Create a JavaScript click handler to execute the InLine Client desired methods.
3. Use the TwoCoInlineCart.products.add({code, quantity, options}) method to prepare your catalog product.
4. Use the TwoCoInlineCart.cart.checkout() method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.removeAll();
  TwoCoInlineCart.products.add({
    code: "STD_SUB",
    quantity: 3
  });

  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After adding a digital catalog product with auto-applied order promotion using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/XWpzboV>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/add-a-digital-catalog-product-with-auto-applied-order-promotion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
